PERROR(3)

NAME
perror - write error messages to standard error

SYNOPSIS
#include <stdio.h>
void
perror(const char *string);

DESCRIPTION
The perror() function looks up the language-dependent error message string affiliated with an error number and writes it, followed by a new-line, to the standard error stream.

If the argument string is not the NULL pointer and is not zero length, it is prepended to the message string and separated from it by a colon and a space (‘: ’). Otherwise, only the error message string is printed.

The contents of the error message string are the same as those returned by strerror() with argument errno.

SEE ALSO
intro(2), psignal(3), setlocale(3), strerror(3)

STANDARDS
The perror() function conforms to ansiC.

HISTORY
The perror() function first appeared in AT&T UNIX.